# Interface methods for submodule: SingleValuedNonLinearVnlOptimizerv4
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectToObjectOptimizerBaseTemplateProxy as _ObjectToObjectOptimizerBaseTemplateProxy


# Interface methods for class: SingleValuedNonLinearVnlOptimizerv4
class SingleValuedNonLinearVnlOptimizerv4Proxy(_ObjectToObjectOptimizerBaseTemplateProxy):
	def GetNameOfClass(self):
		""""""
		...

	def StartOptimization(self, doOnlyInitialization: bool = False) -> None:
		""""""
		...

	def SetMetric(self, metric) -> None:
		""""""
		...

	def GetCachedDerivative(self) -> Sequence[float]:
		""""""
		...

	def GetCachedCurrentPosition(self):
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

